local autobright = false
local bright = wth.bright
if dat.lsens then
    wth.lux = adc.read(0)
    if wth.lux > wth.maxlux then wth.maxlux = wth.lux end
    if wth.lux < wth.minlux then wth.minlux = wth.lux end
    print("\nGot Lux:", wth.lux)
    if dat.starttm and ((rtctime.get()) - dat.starttm > 86400) and (wth.maxlux > wth.minlux) then
        autobright = true
    end
end
-- autobright = true -- если сразу задали максимальное и минимальное значение сенсора освещенности
-- -- Определяем день сейчас или ночь
if dat.nghtmod then
    if tm.hour >= dat.even or tm.hour <= dat.morn then dat.night = true
    else dat.night = false end

    if dat.digch then
        if dat.night and not dat.bigdig then
            dofile('_bigdigit.lua')
            dat.bigdig = true
        elseif not dat.night and dat.bigdig then
            dofile('_smalldigit.lua')
            dat.bigdig = false
        end
    end
end

-- Устанавливаем яркость часов
if (not dat.lsens or not autobright) and (dat.morn and dat.even) then
    if not dat.night and not dat.intens then
        dat.intens = true
        bright = dat.bright
    elseif dat.night and dat.intens then
        dat.intens = false
        bright = 0
    end
else
    if autobright then
        wth.bright = dat.bright
        if wth.lux < dat.maxk * wth.maxlux then
            bright = math.floor(wth.lux / (dat.maxk * wth.maxlux) * dat.bright)
        end
        if wth.lux < (1 + dat.mink) * wth.minlux then
            bright = 0
        end
    end
end
if bright ~= wth.bright then 
    wth.bright =  bright
    max7219.setIntensity(bright)
end
print("Set Bright:", wth.bright)
dofile('play.lua')