--------- wifi -------------
ssid = "AP_Name"
password = "SUPERPASSWD"
----------------------------

dat.int = 10          -- Интервал запуска показа данных

dat.rtz = 3           -- Зона Времени
dat.bright = 11       -- Максимальная яркость часов, max 15
dat.shownight = false -- Показ данных ночью

-- Is light sensor:
dat.lsens = true -- Есть сенсор освещенности

---------------- Лучше не трогать -----
wth.minlux = 260 -- минимальный уровень освещенности
wth.maxlux = 1024
dat.mink = 0.3   --  wth.minlux *(1+dat.mink) - будет яркость 0
dat.maxk = 0.7

-- Night Mode
dat.nghtmod = true -- false / true - ночной режим
dat.even = 22      -- ночь наступила в этот час
dat.morn = 6       -- утро наступило
dat.digch = false  -- менять размер цифр днем и ночью

-- Настройки MQTT:
-- dat.brk = '192.168.0.190' -- Брокер
-- dat.port = 1883           -- Порт

-- dat.clnt = '/clock2'     -- Имя этих часов для подписки

dat.mqlgin = 'MQTT_Login'
dat.mqpass = 'MAQTT_Passwd'
-- dat.mqttemp = 'narod/28B1AED5040000A1' -- Температура на улице
-- dat.ban = 'sauna/temp'                 -- Температура в сауне

wth.city = 'Moscow'

-- Openweathermap:
dat.wkey = 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' 

-- Narodmon:
-- 
-- dat.uuid = "98a66f6b27904680f99b2357ffea16e8c"
-- dat.api_key = "QTGwhsktyzvcZXM"

------------------
dat.sens = {32191,85254,40239}

-- Начертание цифр:
dig['1'] = { 0, 16, 48, 16, 16, 16, 16, 56 }
-- dig['2'] = {0,56,68,4,56,64,64,124}
dig['2'] = { 0x0, 0x38, 0x44, 0x4, 0x8, 0x10, 0x20, 0x7C }
-- dig['3'] = {0,124,4,8,24,4,68,56}
dig['3'] = { 0x0, 0x38, 0x44, 0x4, 0x18, 0x4, 0x44, 0x38 }
dig['4'] = { 0, 8, 24, 40, 72, 124, 8, 8 }
dig['5'] = { 0, 124, 64, 120, 4, 4, 68, 56 }
-- dig['6'] = {0,28,32,64,120,68,68,56}
dig['6'] = { 0x0, 0x38, 0x40, 0x78, 0x44, 0x44, 0x44, 0x38 };
-- dig['7'] = {0,124,4,4,8,16,32,64}
dig['7'] = { 0x0, 0x7C, 0x4, 0x4, 0x8, 0x10, 0x10, 0x10 };
dig['8'] = { 0, 56, 68, 68, 56, 68, 68, 56 }
-- dig['9'] = {0,56,68,68,60,4,8,112}
dig['9'] = { 0x0, 0x38, 0x44, 0x44, 0x3C, 0x4, 0x44, 0x38 };
dig['0'] = { 0, 56, 68, 76, 84, 100, 68, 56 }
dig['+'] = { 0, 0, 4, 4, 31, 4, 4, 0 }
dig['-'] = { 0, 0, 0, 0, 124, 0, 0, 0 }
dig['z'] = { 0, 0, 0, 0, 0, 0, 0, 0 }
dig['R'] = { 0, 0, 4, 2, 127, 2, 4, 0 }
dig['H'] = { 0x18, 0x24, 0x42, 0xc3, 0x5a, 0x5a, 0x42, 0x7e }

---------------------- Дальше не менять ------------------------

do
    wifi.setmode(wifi.STATION)
    cfg = {}
    cfg.ssid = ssid
    cfg.pwd = password
    cfg.save = true
    cfg.auto = true
    wifi.sta.config(cfg)
    wifi.sta.connect()
end
wth.bright = dat.bright
wth.tz = dat.rtz
dat.tz = dat.rtz
dat.rtz = nil
dat.int = dat.int + 9
dat.prt = 1
ssid, password = nil, nil
node.task.post(function() dofile('setglobals.lua') end)